Uploaded image for project: 'Couchbase Server'
  1. Couchbase Server
  2. MB-5296

branch-1.8.1.xml contains modules that are only used by voltron

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 1.8.1-release-candidate
    • Fix Version/s: 2.0-beta
    • Component/s: build
    • Security Level: Public
    • Labels:
      None

      Description

      branch-1.8.1.xml tries to download:
      erlang otp
      icu4c
      spidermonkey

      None of these should be downloaded as part of branch-1.8.1.xml, but rather in the override files used by voltron.. By having them in branch-1.8.1 we're wasting download bandwidth and time for developers trying to work on the software.

      No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        Activity

        Hide
        farshid Farshid Ghods (Inactive) added a comment -

        1.8.1 is released.

        need to check 2.0 manifest file and verify it does not have repos that we dont use

        Show
        farshid Farshid Ghods (Inactive) added a comment - 1.8.1 is released. need to check 2.0 manifest file and verify it does not have repos that we dont use
        Hide
        trond Trond Norbye added a comment -

        We're still building from branch-1.8.1.xml for the 1.8.1.1 right?

        Show
        trond Trond Norbye added a comment - We're still building from branch-1.8.1.xml for the 1.8.1.1 right?
        Hide
        farshid Farshid Ghods (Inactive) added a comment -

        closing this bug as won't fix as 1.8.x branch is not actively being developed.
        I looked at 2.0 manifest file and it does not have these extra packages.

        Show
        farshid Farshid Ghods (Inactive) added a comment - closing this bug as won't fix as 1.8.x branch is not actively being developed. I looked at 2.0 manifest file and it does not have these extra packages.
        Hide
        trond Trond Norbye added a comment -

        It'll continue to be a hell for people who want to build a 1.8.1 server (or patches for it)... It shouldn't be that hard to move those few lines to another file..

        Show
        trond Trond Norbye added a comment - It'll continue to be a hell for people who want to build a 1.8.1 server (or patches for it)... It shouldn't be that hard to move those few lines to another file..
        Hide
        plabee Phil Labee (Inactive) added a comment -

        commit: 204884e2ff60a1a776a221d1c2691ad73ac036e6

        moves erland otp, icu4c, and spidermonkey from branch-1.8.1.xml to override-1.8.1.xml

        Show
        plabee Phil Labee (Inactive) added a comment - commit: 204884e2ff60a1a776a221d1c2691ad73ac036e6 moves erland otp, icu4c, and spidermonkey from branch-1.8.1.xml to override-1.8.1.xml

          People

          • Assignee:
            trond Trond Norbye
            Reporter:
            trond Trond Norbye
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Gerrit Reviews

              There are no open Gerrit changes